package hiro.yoshioka.ast.sql;


import java.util.Iterator;
import java.util.List;

public interface IParserException {

	  public IToken getCurrentToken();
	public abstract String getMessage();

	public abstract Iterator getExpectedTokenIterator();

	/**
	 * @return
	 */
	public abstract List getExpectedTokenList();

}